/**
 * @deprecated use MLv2
 */
export class FieldList extends Component<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    state: {
        sections: never[];
    };
    UNSAFE_componentWillMount(): void;
    UNSAFE_componentWillReceiveProps(nextProps: any): void;
    _updateSections({ fieldOptions, segmentOptions, }?: {
        fieldOptions?: {
            dimensions: never[];
            fks: never[];
        } | undefined;
        segmentOptions?: any[] | undefined;
    }): void;
    handleChangeDimension: (dimension: any, item: any) => void;
    handleChangeOther: (item: any) => void;
    render(): import("react/jsx-runtime").JSX.Element;
}
import { Component } from "react";
